<!--
var STA_SCR='1';
addEvent(window,'load',function(){
	 getLin();
	pressKeyEvents(); 
	addEvent(ge('can_par_cob'),'focus',function(){
		ge('can_par_cob').select();
	});	
});


function getAjaxSource(){
	return "DG2B002_PR-SRV.php";	
}

function pressKeyEvents(){
	addEvent(ge('can_par_cob'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	addEvent(ge('cam_pag'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	addEvent(ge('sub_ven'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});	
	addEvent(ge('des_ven'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});	
	addEvent(ge('tot_ven'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	addEvent(ge('tot_det_cob'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	addEvent(ge('tot_sal_ven'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	addEvent(ge('por_desp'),'keypress',function(){
		tecla = (document.all) ? event.keyCode : event.which; 
		if(tecla==13){
			return false;
		}else
			return true;
	});
	
	addEvent(ge('por_desp'),'focus',function(){
			if(STA_SCR=='2')								 
				ge('virtualKey_focus').value='por_desp';
			else
				ge('virtualKey_focus').value='NO_FOCUS';
	});

	addEvent(ge('bot_cor_caj'),'click',function(){
		/*openWindow({
			action:'DYVALPASS.php',
			scroll:false,
			resize:false,
			width:230,
			height:324
		},{
			cli:'1'	
		});*/
		if(ge('bot').value=="")
			getOnLayer({action:'DYVALPASS.php',idLayer:'divValPass',title:'ACCESO CORTE CAJA'},{arg:'C',onIntro:'checkPass'});										
		else
			alert('Es Necesario que termine con la venta en curso.');

	});
	addEvent(ge('bot_arq_caj'),'click',function(){
		if(ge('bot').value=="")
			getOnLayer({action:'DYVALPASS.php',idLayer:'divValPass',title:'ACCESO ARQUEO'},{arg:'A',onIntro:'checkPass'});										
		else
			alert('Es Necesario que termine con la venta en curso.');
		/*openWindow({
			action:'DYVALPASS.php',
			scroll:false,
			resize:false,
			width:230,
			height:324
		},{
			cli:'1'	
		});*/
	});	
	addEvent(ge('can_par_cob'),'focus',function(){
			if(STA_SCR=='2')
				ge('virtualKey_focus').value='can_par_cob';
			else
				ge('virtualKey_focus').value='NO_FOCUS';
	});
}

/*************************************/
function getLin(){
	ajaxRequest(
		getAjaxSource(),{
			gl:'1'
		},{
			okLoad:function(datos){
				ge('divLineas').innerHTML=datos;	
				ge('divGrupos').innerHTML="";
				ge('divProductos').innerHTML="";
			}
		});
	ajaxRequest(
		getAjaxSource(),{
			gl:'2'
		},{
			okLoad:function(datos){
				ge('divLineas').innerHTML=datos;	
				ge('divGrupos').innerHTML="";
				ge('divProductos').innerHTML="";
			}
		});
}

function getGru(ig){
	ajaxRequest(
		getAjaxSource(),{
			gg:'1',
			igr:ig
		},{
			okLoad:function(datos){
				ge('divGrupos').innerHTML=datos;
				ge('divProductos').innerHTML="";
			}
		});
}


function getPro(il,ig){
	ajaxRequest(
		getAjaxSource(),{
			gp:'1',
			ili:il,
			igr:ig
		},{
			okLoad:function(datos){
				ge('divProductos').innerHTML=datos;	
			}
	});
}

function agrProd(can,iprod){
	if(STA_SCR!='1'){
		alert('Imposible Agregar Producto \nLa orden esta en proceso de pago!');
		return 0;
	}	
	//alert(can+'::'+iprod);
	var objiv=ge('bot'),nv=0;
	if(objiv.value=='' || objiv.value=='0'){
		agrPed();	
	}
	nv=objiv.value;
	ajaxRequest(
		getAjaxSource(),{
			adv:'1',
			nve:nv,
			cpr:can,
			ipr:iprod
		},{
			async:false,
			okLoad:function(datos){
				//alert(datos);
				var auxDat=datos.split('|');
				ge('idDetSel').value=auxDat[2];				
				getDetVen();
			}
	});	
	
}
function eliminarProd(noReg){
	if(STA_SCR!='1' && STA_SCR!='3'){
		alert('Imposible Eliminar Producto \nLa orden esta en proceso de pago!');
		return 0;
	}
	var noPedido=ge('bot').value;
	ajaxRequest(
		getAjaxSource()
	,{ 
		eliminaProd: noPedido+'|'+noReg
	},{
		async:false,
		okLoad:function(datos) {
			getDetVen();
		}
	});
}
function agrPed(){
	ajaxRequest(
		getAjaxSource(),{
			agp:'A'
		},{
			async:false,
			okLoad:function(datos){
				//alert(datos);
				ge('bot').value=datos;	
			}
	});	
}

function getDetVen(){
	ajaxRequest(
		getAjaxSource(),{
			gtv:'1',
			nve:ge('bot').value			
		},{
			async:false,
			okLoad:function(datos){
				ge('divDetProd').innerHTML=datos;	
				var objTotVen=ge('tex_tot_ven');
				ge('sub_ven').value=objTotVen.value;				
				ge('tot_ven').value=objTotVen.value;
				ge('tot_sal_ven').value=objTotVen.value;
			}
	});	
		
}

function cancelaVenta(){
	STA_SCR='3';
	var detalle=document.getElementsByName('beliminar');
	//var detallePago=document.getElementsByName('beliminarPago');
	var	objNoPed=document.getElementById('bot');
	var jk,numdets=detalle.length;
	for(jk=0;jk<numdets;jk++){
		detalle[numdets-1-jk].click();
	}
	ajaxRequest(
		getAjaxSource()
	,{ 
		cancelaPedido:objNoPed.value
	},{
		async:false,
		okLoad:function(datos) {
			document.mainForm.submit();				
		}
	});	
}

function imprimePedido(){
	if(ge('bot').value=="")
		alert('Nada que Imprimir!!');
	else if (ge('bat').value==2) 
		openWindow({
			action:'DG23001_RE-HTML.php',
			name:'ReciboDePedido',
			scroll:true,
			resize:false,
			width:300
		},{
			bot:ge('bot').value,
			npi:'1'
		});	
	else if (ge('bat').value==1) 
		openWindow({
			action:'DG23000_RE-HTML.php',
			name:'ReciboDePedido',
			scroll:true,
			resize:false,
			width:300
		},{
			bot:ge('bot').value,
			npi:'1'
		});	
}

function nuevoPedido(){
	document.mainForm.submit();	
}

/*****************CAJA***************/
function getTipPag(){
	ajaxRequest(
		getAjaxSource(),{
			gtp:'1'
		},{
			async:false,
			okLoad:function(datos){
				ge('divTipPag').innerHTML=datos;	
			}
	});	
		
}
function agrDetPag(itpa,dtpa){
	var objCanPag=ge('can_par_cob');
	var objTotSalVen=ge('tot_sal_ven');
	var objTotVen=ge('tot_ven');
	var objTotDetCob=ge('tot_det_cob');
	var objCamPag=ge('cam_pag');
	var objDivBotPag=ge('divBotPag');
	if(
	   	isNaN(parseFloat(objCanPag.value)) ||
		parseFloat(objCanPag.value)<=0 ||
		isNaN(parseFloat(objTotVen.value)) || 
		parseFloat(objTotVen.value)<=0){
		alert("Cantidad No Valida!");
		return 0;
	}
	var myTable = ge('tabDetPag');	
	var oRowTit = myTable.insertRow(-1);
	var oRow = myTable.insertRow(-1);
	var oCelldd = oRowTit.insertCell(-1);
	var oCellda = oRow.insertCell(-1);
	var oCelldr = oRow.insertCell(-1);
	var oCelldi = oRow.insertCell(-1);
	var oCellTit = oRowTit.insertCell(-1);
	/******************************/
	if(objTotDetCob.value=="" || objTotDetCob.value=="0") objTotDetCob.value='0';
	if(objCamPag.value=="" || objCamPag.value=="0") objCamPag.value='0';
	
	var totDetCob=parseFloat(objTotDetCob.value), 
		camPag=parseFloat(objCamPag.value),
		canPag=parseFloat(objCanPag.value),
		totVen=parseFloat(objTotVen.value),canRealPag;
	
	if((canPag+totDetCob)>totVen){
		camPag +=(canPag+totDetCob)-totVen;
		canRealPag=totVen-totDetCob;
	}else{
		canRealPag=canPag;
	}
	objTotDetCob.value= parseFloat(totDetCob+canRealPag).toFixed(2);
	objCanPag.value=parseFloat(totVen-totDetCob-canRealPag).toFixed(2);
	objTotSalVen.value=objCanPag.value;
	objCamPag.value=camPag.toFixed(2);
	/*******************************/
	if(parseFloat(totDetCob+canRealPag).toFixed(2)==parseFloat(objTotVen.value).toFixed(2)){
		objDivBotPag.style.display='';	
	}else{
		objDivBotPag.style.display='none';			
	}

	oRow.id='row_'+itpa+'_'+myTable.rows.length;
	oRowTit.id='rowTit_'+itpa+'_'+myTable.rows.length;
	//oCelldd.width="50";
	oCelldd.className="detPagCajL";
	oCelldd.innerHTML = '<img src="img_punt/eliminar.gif"  style="width:45px; height:45px;"  onClick="eliDetCob(\''+oRow.id+'\')"/>';
	oCelldd.rowSpan="2";
	
	oCellTit.className="detTitPagCajC";
	oCellTit.innerHTML=dtpa;
	oCellTit.colSpan="3";
	oCellda.width="150";
	oCellda.className="detPagCajL";
	oCellda.innerHTML = '<input type="hidden" name="arrDetPag[]" value="'+oRow.id+'"><input type="hidden" name="re_'+oRow.id+'" id="re_'+oRow.id+'" value="'+canPag+'"><input type="hidden" name="tp_'+oRow.id+'" id="tp_'+oRow.id+'" value="'+itpa+'"><input type="text" size="15" name="aut_'+oRow.id+'" id="aut_'+oRow.id+'" value="">';		
	oCelldr.width="150";
	oCelldr.className="detPagCajL";
	oCelldr.innerHTML = '<input type="text" size="15" name="ref_'+oRow.id+'" id="ref_'+oRow.id+'" value="">';		
	oCelldi.width="100";
	oCelldi.className ="detPagCajR";
	oCelldi.innerHTML = '<input type="text" size="10" name="imp_'+oRow.id+'" id="imp_'+oRow.id+'" value="'+parseFloat(canRealPag).toFixed(2)+'" readOnly class="clTextImpDetPag">';
	objCanPag.focus();
	objCanPag.select();
}

function habScrCaj(){
	var objDivScrPag=ge('divScrPag');
	var objDivProductos=ge('divProductos');	
	var objCanPag=ge('can_par_cob');
	var objTotVen=ge('tot_ven');
	if(objTotVen.value=='0' || objTotVen.value=='' || parseFloat(objTotVen.value)<=0){
		alert("VENTA NO VALIDA!");
		return 0;
	}
	STA_SCR='2';	
	objDivProductos.style.display='none';
	objDivScrPag.style.display='';
	objCanPag.value=objTotVen.value;
	objCanPag.focus();
	objCanPag.select();
	getTipPag();
	return 1;
}

function eliDetCob(idFil){

	var tabla=ge('tabDetPag'),i;
	var objCanPag=ge('can_par_cob');
	var objTotSalVen=ge('tot_sal_ven');
	var objTotVen=ge('tot_ven');
	var objTotDetCob=ge('tot_det_cob');
	var objCamPag=ge('cam_pag'),impPag,impRec;	
	var objDivBotPag=ge('divBotPag');	 
	 for(i=0;i<tabla.rows.length;i++){
		if(tabla.rows[i].id==idFil){
			impPag=ge('imp_'+tabla.rows[i].id).value;
			impRec=ge('re_'+tabla.rows[i].id).value
			objTotDetCob.value=(parseFloat(objTotDetCob.value)-parseFloat(impPag)).toFixed(2);
			objCanPag.value=(parseFloat(objCanPag.value)+parseFloat(impPag)).toFixed(2);
			objTotSalVen.value=objCanPag.value;
			objCamPag.value=(parseFloat(objCamPag.value)-parseFloat(impRec)+parseFloat(impPag)).toFixed(2);
			tabla.deleteRow(i);
			tabla.deleteRow(i-1);
			objDivBotPag.style.display='none';
			objCanPag.focus();
			objCanPag.select();
			return true;
		}
	}
	return false;
}

function recPag(iped,namePagKey){
	var totVen=parseFloat(ge('tot_ven').value);
	var subVen=parseFloat(ge('sub_ven').value);
	if(iped=='' || iped=='0' || parseFloat(iped)<=0 || subVen<=0){
		alert('Intento de pago no valido!!');
		return false;
	}
	var objDetPags=document.getElementsByName(namePagKey),i=0,j=0, arrDatSend= new Array();
	
	if((typeof(objDetPags) =='undefined' || objDetPags.length<=0) && totVen>0){
		alert('Detalle de Pago No Valido!!');
		return false;
	}
	if(totVen>0){
		for(i=0; i<objDetPags.length; i++){
	
			arrDatSend[j++]=ge('tp_'+objDetPags[i].value).value+','+ge('aut_'+objDetPags[i].value).value+','+ge('ref_'+objDetPags[i].value).value+','+ge('imp_'+objDetPags[i].value).value+','+ge('re_'+objDetPags[i].value).value;
			//alert(arrDatSend[(j-1)]);
		}
		var auxArrData=arrDatSend.join('|');
	}else{
		auxArrData='';	
	}
	ajaxRequest(
		getAjaxSource(),{
			agrp:'1',
			ipem:iped,
			dp:auxArrData,
			cam:ge('cam_pag').value,
			tode:ge('des_ven').value,
			cade:ge('por_desp').value,
			tide:getValRadChe('rad_tip_des')
		},{
			async:false,
			okLoad:function(datos){
				var objDivScrPag=ge('divScrPag');
				var objDivProductos=ge('divProductos');					
//				imprimePedido();
				objDivScrPag.style.display='none';
				objDivProductos.style.display='';
				nuevoPedido();
			}
	});		
}

function agrProdByCod(){	
	var objCodBar=ge('cod_bar');
	agrProd(1,objCodBar.value);
	objCodBar.value="";
	objCodBar.focus();
}
/************************************/

/************TECLADO VIRTUAL*************/
function virtualKey_press(charVal){	
	var objTarget=virtualKey_getTarget(),
		i,funcPress,funcUp,flPre;
	if(objTarget!=null){
		delSelectedText(objTarget);	
		var auxVal=objTarget.value;
	}
	var auxValTo="";

	if(charVal=='VIR_DEL'){
		for(i=0;i<(auxVal.length-1);i++){
			auxValTo=auxValTo+auxVal.charAt(i);	
		}
	}else{
		auxValTo=auxVal+charVal;		
	}
	if(typeof arguments[1]!="undefined"){ funcPress=arguments[1];} 
	else funcPress=virtualKey_deffunpre;
	if(objTarget!=null && objTarget.onkeyup!='undefined') funcUp=objTarget.onkeyup;
	else funcUp=virtualKey_deffunup;
	if(funcPress(charVal,auxValTo)){
		objTarget.value=auxValTo;
	}
	funcUp();
}

function virtualKey_getTarget(){
	var objFocus=ge('virtualKey_focus');
	if(objFocus==null){
		alert('virtualKey_focus Necesario!!');
		return null;
	}else{
		if(objFocus.value=='NO_FOCUS')
			return null;
		else
		return ge(objFocus.value);	
	}
	/*if(STA_SCR=='1'){
		return ge('can_pro_agr');		
	}else if(STA_SCR=='2'){
		return ge('can_par_cob');
	}else{
		return null;	
	}*/	
}

function virtualKey_deffunpre(can){
	return true;	
}
function virtualKey_deffunup(){
	return true;	
}

function checkPressVirtual(can,newVal){
	if(STA_SCR=='1'){	
		if(can!='.' && can.length==1) agrProd(can,ge('idDetSel').value);
		return false;
	}else{
		if(isFloat(newVal))
			return true;
		else
			return false;
	}
}

function aplDes(){
	//alert('ejecuta');
	var objDetPags=document.getElementsByName('arrDetPag[]');
	if(STA_SCR!='2'){
		alert('El Descuento se aplica al momento del pago');
		ge('por_desp').value="";
		return false;
	}
	if(objDetPags.length>0){
		alert('Elimine las formas de pago!');	
		ge('por_desp').value="";
		return false;
	}
	var tipDesApl=getValRadChe('rad_tip_des');
	var objSubVen=ge('sub_ven');
	var objTotVen=ge('tot_ven');
	var objSalVen=ge('tot_sal_ven');
	var objCanParPag=ge('can_par_cob');
	var objImpDesVen=ge('des_ven');
	var objCanDes=ge('por_desp');
	var subVen=0,totVen=0,impDesVen=0, canDes=0,impDes=0,porDes=0;
	subVen=parseFloat(objSubVen.value);
	impDesVen=parseFloat(objImpDesVen.value);	
	if(objCanDes.value=='')
		canDes=0;
	else
		canDes=parseFloat(objCanDes.value);
	//alert(tipDesApl);
	if(tipDesApl=='P'){
		if(canDes<0 || canDes>100){
			alert('Porsentaje No Valido!!');
			objCanDes.value='';
			canDes=0;
			//return false;
		}
		impDes=parseFloat(canDes/100*subVen).toFixed(2);
		porDes=canDes;
	}else if(tipDesApl=='M'){
		if(canDes<0 || canDes>subVen){
			alert('Importe No Valido!!');
			objCanDes.value='';
			canDes=0;
			//return false;
		}
		impDes=canDes.toFixed(2);
		porDes=(impDes/subVen*100).toFixed(2);
	}
	objImpDesVen.value=impDes;
	objTotVen.value=(subVen-impDes).toFixed(2);
	objSalVen.value=(subVen-impDes).toFixed(2);
	objCanParPag.value=(subVen-impDes).toFixed(2);
	if((subVen-impDes)==0) ge('divBotPag').style.display='';
	else ge('divBotPag').style.display='none';
}
/************************************/
function delSelectedText(input){
	var insText,selText;
	if(typeof document.selection != 'undefined' && document.selection) {
		selText=document.selection.createRange();
		selText.text="";
		//insText=selText.text;	
	}else if(typeof input.selectionStart != 'undefined'){
		 var start = input.selectionStart;
		 var end = input.selectionEnd;
		 insText = input.value.substring(start, end);
		input.value = input.value.substr(0,start)+input.value.substr(end);
	}
}

function isFloat(cad){
	 var regExPattern = /^[+|-]{0,1}[0-9]*(\.[0-9]*){0,1}$/;
	 if(cad.match(regExPattern)) return true;
	 return false
}


/****************VALIDA PASSWORD**********************/
function camFonDown(obj){
	obj.className="tdDown";
}
function camFonUp(obj){
	obj.className="tdUp";
}

function onClick(val){
	var objPut=document.getElementById('HSIAD_usuario');
	var auxValTo="";
	var auxVal=objPut.value;
	if(val=="DEL"){
		for(i=0;i<(auxVal.length-1);i++){
			auxValTo=auxValTo+auxVal.charAt(i);	
		}	
	}else{
		auxValTo=auxVal+val;
	}
	objPut.value=auxValTo;
}

function checkPass(arrTipo,userp){
	ajaxRequest("DG2B000_PR-SRV.php",{
		checkPass:"1",
		tip:arrTipo,
		us:userp
	},{
		okLoad:function(datos){
			var auxDatos=datos.split('|');
			if(parseInt(auxDatos[0])==-1){ 
				removeHTML_OBJECT('divValPass');
				alert('Lo Sentimos, No Goza de Privilegios Suficientes'); 
				return 0;
			}else{
				removeHTML_OBJECT('divValPass');
				
				if(arrTipo=='A'){
				alert("ACCESO CORRECTO");
					ge('divDetProd').innerHTML=auxDatos[1]; }
				else if(arrTipo=='C'){
					alert("ACCESO CORRECTO");
					var auxDatOpen=eval(auxDatos[1]);
					openWindow({
						action:'DG32000_PRIM.php',
						width:'800',
						height:'500',
						name:'CORTE_CAJA'
					},auxDatOpen[0]
					);					
				}
				else if(arrTipo=='T'){
					alert ("ACCESO CORTESIA");
					itpa='3';
					dtpa='CORTESIA';
	var objCanPag=ge('can_par_cob');
	var objTotSalVen=ge('tot_sal_ven');
	var objTotVen=ge('tot_ven');
	var objTotDetCob=ge('tot_det_cob');
	var objCamPag=ge('cam_pag');
	var objDivBotPag=ge('divBotPag');  
	if( 
	   	isNaN(parseFloat(objCanPag.value)) ||
		parseFloat(objCanPag.value)<=0 ||
		isNaN(parseFloat(objTotVen.value)) || 
		parseFloat(objTotVen.value)<=0){ //2
		alert("Cantidad No Valida!");
		return 0;
	} //2
	var myTable = ge('tabDetPag');	
	var oRowTit = myTable.insertRow(-1);
	var oRow = myTable.insertRow(-1);
	var oCelldd = oRowTit.insertCell(-1);
	var oCellda = oRow.insertCell(-1);
	var oCelldr = oRow.insertCell(-1);
	var oCelldi = oRow.insertCell(-1);
	var oCellTit = oRowTit.insertCell(-1);
	/******************************/
	if(objTotDetCob.value=="" || objTotDetCob.value=="0") objTotDetCob.value='0';
	if(objCamPag.value=="" || objCamPag.value=="0") objCamPag.value='0';
	
	var totDetCob=parseFloat(objTotDetCob.value), 
		camPag=parseFloat(objCamPag.value),
		canPag=parseFloat(objCanPag.value),
		totVen=parseFloat(objTotVen.value),canRealPag;
	
	if((canPag+totDetCob)>totVen){ //3
		camPag +=(canPag+totDetCob)-totVen;
		canRealPag=totVen-totDetCob;
	 //3 	//4
	 }else{
		canRealPag=canPag;
	} //4
	objTotDetCob.value= parseFloat(totDetCob+canRealPag).toFixed(2);
	objCanPag.value=parseFloat(totVen-totDetCob-canRealPag).toFixed(2);
	objTotSalVen.value=objCanPag.value;
	objCamPag.value=camPag.toFixed(2);
	/*******************************/
	if(parseFloat(totDetCob+canRealPag).toFixed(2)==parseFloat(objTotVen.value).toFixed(2)){  //5
		objDivBotPag.style.display='';	
		//5	//6
	}else{
		objDivBotPag.style.display='none';			
	}  //6

	oRow.id='row_'+itpa+'_'+myTable.rows.length;
	oRowTit.id='rowTit_'+itpa+'_'+myTable.rows.length;
	//oCelldd.width="50";
	oCelldd.className="detPagCajL";
	oCelldd.innerHTML = '<img src="img_punt/eliminar.gif"  style="width:45px; height:45px;"  onClick="eliDetCob(\''+oRow.id+'\')"/>';
	oCelldd.rowSpan="2";
	
	oCellTit.className="detTitPagCajC";
	oCellTit.innerHTML=dtpa;
	oCellTit.colSpan="3";
	oCellda.width="150";
	oCellda.className="detPagCajL";
	oCellda.innerHTML = '<input type="hidden" name="arrDetPag[]" value="'+oRow.id+'"><input type="hidden" name="re_'+oRow.id+'" id="re_'+oRow.id+'" value="'+canPag+'"><input type="hidden" name="tp_'+oRow.id+'" id="tp_'+oRow.id+'" value="'+itpa+'"><input type="text" size="15" name="aut_'+oRow.id+'" id="aut_'+oRow.id+'" value="">';		
	oCelldr.width="150";
	oCelldr.className="detPagCajL";
	oCelldr.innerHTML = '<input type="text" size="15" name="ref_'+oRow.id+'" id="ref_'+oRow.id+'" value="">';		
	oCelldi.width="100";
	oCelldi.className ="detPagCajR";
	oCelldi.innerHTML = '<input type="text" size="10" name="imp_'+oRow.id+'" id="imp_'+oRow.id+'" value="'+parseFloat(canRealPag).toFixed(2)+'" readOnly class="clTextImpDetPag">';
	objCanPag.focus();
	objCanPag.select();	
				} //FIN T
			}
		}	
	});
}

function calSumImp(keyName,idTot){
	var objSum=document.getElementsByName(keyName),i=0,tot=0,auxId,totd=0,auxVal;
	var objDif=document.getElementsByName('difarq[]');
	for(i=0;i<objSum.length;i++){
		if(!isNaN(parseFloat(objSum[i].value))){
			auxVal=parseFloat(objSum[i].value);		
		}else{
			auxVal=0;
		}
		auxId=objSum[i].id.split('_');
		tot +=parseFloat(auxVal);
		ge('dif_'+auxId[1]).value=(parseFloat(ge('sis_'+auxId[1]).value)-parseFloat(auxVal)).toFixed(2);
		
	}
	for(i=0;i<objDif.length;i++){
		if(!isNaN(parseFloat(objDif[i].value))){
			auxVal=parseFloat(objDif[i].value);
		}else{
			auxVal=0;	
		}
		totd +=parseFloat(auxVal);
	}
	ge('totarq').value=(tot).toFixed(2);
	ge('totdifarq').value=(totd).toFixed(2);
}

function impArq(){
	var objSum=document.getElementsByName('detarq[]'),i=0,tot=0,auxId,totd=0,auxVal= new Array(),aux="";
	for(i=0;i<objSum.length;i++){
		auxVal[i]=objSum[i].value;
	}
	if(objSum.length>0) aux=auxVal.join('|');
	openWindow({
		action:'DG2B000_IMARQ.php',
		width:'800',
		height:'500',
		name:'ARQUEO',
		resize:true
	},{
		totFis:aux	
	});	
}
/*****************************************************/
-->
